Subject: bug#20677: tooltips generate garbage

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Jun 2015 21:56:20 +0300

> Date: Tue, 02 Jun 2015 19:04:39 +0200
> From: Angelo Graziosi <[email-masked]>
> CC: [email-masked]
> 
> remember that
> 
>    79bbe53a991007036ce9bcf897a4ce1371f516ea  2015-05-23 09:21:27 (GMT)
> 
> works as expected, while
> 
>   ee14727ce033bae3bc11af35e7843604e5a5e635   2015-05-23 10:27:56 (GMT)
> 
> shows the issue, and ee14727ce033bae3bc1... has already xfns.c with that 
> above (+) code..

AFAIU, the changes between these two commits include the entire Cairo
merge, so I see no way to use this information to find the problem in
an efficient way.  For all I know, it could simply be an omission in
the Cairo related code, not something introduced by the merge.

The only way of finding the problem is debug this in the current
codebase.